#totem of undying
    #item use
    execute if score @s[tag=endercrafts_infinite_items.totem_of_undying_mainhand] endercrafts_infinite_items.totem_of_undying_use matches 1.. run item replace entity @s weapon.mainhand with totem_of_undying[custom_data={"endercrafts_infinite_items.totem_of_undying":1b},item_name='{"text": "Totem Of Undying","color": "light_purple"}',enchantment_glint_override=true]
    execute if score @s[tag=endercrafts_infinite_items.totem_of_undying_offhand] endercrafts_infinite_items.totem_of_undying_use matches 1.. run item replace entity @s weapon.offhand with totem_of_undying[custom_data={"endercrafts_infinite_items.totem_of_undying":1b},item_name='{"text": "Totem Of Undying","color": "light_purple"}',enchantment_glint_override=true]
    execute if score @s endercrafts_infinite_items.totem_of_undying_use matches 1.. run scoreboard players reset @s endercrafts_infinite_items.totem_of_undying_use
 
    #mainhand
    execute if predicate endercrafts_infinite_items:totem_of_undying/mainhand run tag @s add endercrafts_infinite_items.totem_of_undying_mainhand
    execute unless predicate endercrafts_infinite_items:totem_of_undying/mainhand run tag @s remove endercrafts_infinite_items.totem_of_undying_mainhand
    execute if predicate endercrafts_infinite_items:totem_of_undying/mainhand run tag @s remove endercrafts_infinite_items.totem_of_undying_offhand

    #offhand
    execute if predicate endercrafts_infinite_items:totem_of_undying/offhand unless predicate endercrafts_infinite_items:totem_of_undying/mainhand run tag @s add endercrafts_infinite_items.totem_of_undying_offhand
    execute unless predicate endercrafts_infinite_items:totem_of_undying/offhand run tag @s remove endercrafts_infinite_items.totem_of_undying_offhand

    #recipe
    execute if predicate endercrafts_infinite_items:book/offhand if predicate endercrafts_infinite_items:book/totem_of_undying_mainhand unless predicate endercrafts_infinite_items:totem_of_undying/mainhand run tag @s add endercrafts_infinite_items.totem_of_undying_recipe
    execute if entity @s[tag=endercrafts_infinite_items.totem_of_undying_recipe] run item replace entity @s weapon.mainhand with totem_of_undying[custom_data={"endercrafts_infinite_items.totem_of_undying":1b},item_name='{"text": "Totem Of Undying","color": "light_purple"}',enchantment_glint_override=true]
    execute if entity @s[tag=endercrafts_infinite_items.totem_of_undying_recipe] run item replace entity @s weapon.offhand with air
    execute if entity @s[tag=endercrafts_infinite_items.totem_of_undying_recipe] at @s run playsound block.enchantment_table.use player @s ~ ~ ~ 1 2
    execute if entity @s[tag=endercrafts_infinite_items.totem_of_undying_recipe] at @s run particle dust{color:[0.718,0.000,1.000],scale:1} ~ ~1 ~ 1 1 1 0 800 normal
    execute if entity @s[tag=endercrafts_infinite_items.totem_of_undying_recipe] run tag @s remove endercrafts_infinite_items.totem_of_undying_recipe

#wind charge
    #item use
    execute if score @s[tag=endercrafts_infinite_items.wind_charge_mainhand] endercrafts_infinite_items.wind_charge_use matches 1.. run item replace entity @s weapon.mainhand with wind_charge[custom_data={"endercrafts_infinite_items.wind_charge":1b},item_name='{"text": "Wind Charge","color": "light_purple"}',enchantment_glint_override=true]
    execute if score @s[tag=endercrafts_infinite_items.wind_charge_offhand] endercrafts_infinite_items.wind_charge_use matches 1.. run item replace entity @s weapon.offhand with wind_charge[custom_data={"endercrafts_infinite_items.wind_charge":1b},item_name='{"text": "Wind Charge","color": "light_purple"}',enchantment_glint_override=true]
    execute if score @s endercrafts_infinite_items.wind_charge_use matches 1.. run scoreboard players reset @s endercrafts_infinite_items.wind_charge_use
 
    #mainhand
    execute if predicate endercrafts_infinite_items:wind_charge/mainhand run tag @s add endercrafts_infinite_items.wind_charge_mainhand
    execute unless predicate endercrafts_infinite_items:wind_charge/mainhand run tag @s remove endercrafts_infinite_items.wind_charge_mainhand
    execute if predicate endercrafts_infinite_items:wind_charge/mainhand run tag @s remove endercrafts_infinite_items.wind_charge_offhand

    #offhand
    execute if predicate endercrafts_infinite_items:wind_charge/offhand unless predicate endercrafts_infinite_items:wind_charge/mainhand run tag @s add endercrafts_infinite_items.wind_charge_offhand
    execute unless predicate endercrafts_infinite_items:wind_charge/offhand run tag @s remove endercrafts_infinite_items.wind_charge_offhand

    #recipe
    execute if predicate endercrafts_infinite_items:book/offhand if predicate endercrafts_infinite_items:book/wind_charge_mainhand unless predicate endercrafts_infinite_items:wind_charge/mainhand run tag @s add endercrafts_infinite_items.wind_charge_recipe
    execute if entity @s[tag=endercrafts_infinite_items.wind_charge_recipe] run item replace entity @s weapon.mainhand with wind_charge[custom_data={"endercrafts_infinite_items.wind_charge":1b},item_name='{"text": "Wind Charge","color": "light_purple"}',enchantment_glint_override=true]
    execute if entity @s[tag=endercrafts_infinite_items.wind_charge_recipe] run item replace entity @s weapon.offhand with air
    execute if entity @s[tag=endercrafts_infinite_items.wind_charge_recipe] at @s run playsound block.enchantment_table.use player @s ~ ~ ~ 1 2
    execute if entity @s[tag=endercrafts_infinite_items.wind_charge_recipe] at @s run particle dust{color:[0.718,0.000,1.000],scale:1} ~ ~1 ~ 1 1 1 0 800 normal
    execute if entity @s[tag=endercrafts_infinite_items.wind_charge_recipe] run tag @s remove endercrafts_infinite_items.wind_charge_recipe

#ender pearl
    #item use
    execute if score @s[tag=endercrafts_infinite_items.ender_pearl_mainhand] endercrafts_infinite_items.ender_pearl_use matches 1.. run item replace entity @s weapon.mainhand with ender_pearl[custom_data={"endercrafts_infinite_items.ender_pearl":1b},item_name='{"text": "Ender Pearl","color": "light_purple"}',enchantment_glint_override=true]
    execute if score @s[tag=endercrafts_infinite_items.ender_pearl_offhand] endercrafts_infinite_items.ender_pearl_use matches 1.. run item replace entity @s weapon.offhand with ender_pearl[custom_data={"endercrafts_infinite_items.ender_pearl":1b},item_name='{"text": "Ender Pearl","color": "light_purple"}',enchantment_glint_override=true]
    execute if score @s endercrafts_infinite_items.ender_pearl_use matches 1.. run scoreboard players reset @s endercrafts_infinite_items.ender_pearl_use
 
    #mainhand
    execute if predicate endercrafts_infinite_items:ender_pearl/mainhand run tag @s add endercrafts_infinite_items.ender_pearl_mainhand
    execute unless predicate endercrafts_infinite_items:ender_pearl/mainhand run tag @s remove endercrafts_infinite_items.ender_pearl_mainhand
    execute if predicate endercrafts_infinite_items:ender_pearl/mainhand run tag @s remove endercrafts_infinite_items.ender_pearl_offhand

    #offhand
    execute if predicate endercrafts_infinite_items:ender_pearl/offhand unless predicate endercrafts_infinite_items:ender_pearl/mainhand run tag @s add endercrafts_infinite_items.ender_pearl_offhand
    execute unless predicate endercrafts_infinite_items:ender_pearl/offhand run tag @s remove endercrafts_infinite_items.ender_pearl_offhand

    #recipe
    execute if predicate endercrafts_infinite_items:book/offhand if predicate endercrafts_infinite_items:book/enderpearl_mainhand unless predicate endercrafts_infinite_items:ender_pearl/mainhand run tag @s add endercrafts_infinite_items.ender_pearl_recipe
    execute if entity @s[tag=endercrafts_infinite_items.ender_pearl_recipe] run item replace entity @s weapon.mainhand with ender_pearl[custom_data={"endercrafts_infinite_items.ender_pearl":1b},item_name='{"text": "Ender Pearl","color": "light_purple"}',enchantment_glint_override=true]
    execute if entity @s[tag=endercrafts_infinite_items.ender_pearl_recipe] run item replace entity @s weapon.offhand with air
    execute if entity @s[tag=endercrafts_infinite_items.ender_pearl_recipe] at @s run playsound block.enchantment_table.use player @s ~ ~ ~ 1 2
    execute if entity @s[tag=endercrafts_infinite_items.ender_pearl_recipe] at @s run particle dust{color:[0.718,0.000,1.000],scale:1} ~ ~1 ~ 1 1 1 0 800 normal
    execute if entity @s[tag=endercrafts_infinite_items.ender_pearl_recipe] run tag @s remove endercrafts_infinite_items.ender_pearl_recipe